Skip to main content
Get Sub-Account Transfer History
curl --request POST \
  --url https://whitebit.com/api/v4/sub-account/transfer/history \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
  "direction": "main_to_sub",
  "limit": 100,
  "offset": 0
}
'
import requests

url = "https://whitebit.com/api/v4/sub-account/transfer/history"

payload = {
    "id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
    "direction": "main_to_sub",
    "limit": 100,
    "offset": 0
}
headers = {
    "X-TXC-APIKEY": "<api-key>",
    "X-TXC-PAYLOAD": "<api-key>",
    "X-TXC-SIGNATURE": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-TXC-APIKEY': '<api-key>',
    'X-TXC-PAYLOAD': '<api-key>',
    'X-TXC-SIGNATURE': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    id: '8e667b4a-0b71-4988-8af5-9474dbfaeb51',
    direction: 'main_to_sub',
    limit: 100,
    offset: 0
  })
};

fetch('https://whitebit.com/api/v4/sub-account/transfer/history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "offset": 123,
  "limit": 123,
  "data": [
    {
      "transaction_id": "tx-abc123",
      "id": "tx-abc123",
      "direction": "main_to_sub",
      "currency": "ETH",
      "amount": "0.5",
      "createdAt": 1641081600
    }
  ]
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
id
string
required

Sub-account id

Example:

"8e667b4a-0b71-4988-8af5-9474dbfaeb51"

direction
enum<string>

Transfer direction (optional)

Available options:
main_to_sub,
sub_to_main
Example:

"main_to_sub"

limit
integer
default:100
Required range: 1 <= x <= 100
Example:

100

offset
integer
default:0
Required range: 0 <= x <= 10000
Example:

0

Response

Successful response

offset
integer
limit
integer
data
object[]